--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: idle_since
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: real_name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: signon
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An IRC User is identified by his/her Netmask (which must not have globs). In fact, User is just a subclass of Netmask.
- !ruby/struct:SM::Flow::P 
  body: Ideally, the user and host information of an IRC User should never change, and it shouldn't contain glob patterns. However, IRC is somewhat idiosincratic and it may be possible to know the nick of a User much before its user and host are known. Moreover, some networks (namely Freenode) may change the hostname of a User when (s)he identifies with Nickserv.
- !ruby/struct:SM::Flow::P 
  body: "As a consequence, we must allow changes to a User host and user attributes. We impose a restriction, though: they may not contain glob patterns, except for the special case of an unknown user/host which is represented by a *."
- !ruby/struct:SM::Flow::P 
  body: It is possible to create a totally unknown User (e.g. for initializations) by setting the nick to * too.
- !ruby/struct:SM::Flow::P 
  body: "TODO list:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: see if it's worth to add the other USER data
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: see if it's worth to add NICKSERV status
  type: :BULLET
constants: []

full_name: Irc::User
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: away=
- !ruby/object:RI::MethodSummary 
  name: away?
- !ruby/object:RI::MethodSummary 
  name: botuser
- !ruby/object:RI::MethodSummary 
  name: channels
- !ruby/object:RI::MethodSummary 
  name: host=
- !ruby/object:RI::MethodSummary 
  name: is_op?
- !ruby/object:RI::MethodSummary 
  name: is_voice?
- !ruby/object:RI::MethodSummary 
  name: known?
- !ruby/object:RI::MethodSummary 
  name: modes_on
- !ruby/object:RI::MethodSummary 
  name: nick=
- !ruby/object:RI::MethodSummary 
  name: replace
- !ruby/object:RI::MethodSummary 
  name: to_irc_user
- !ruby/object:RI::MethodSummary 
  name: user=
name: User
superclass: Netmask
